Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase Class Reference

UrlWildcard Gateway. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new DoctrineDatabase Section Gateway. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway
| insertUrlWildcard (UrlWildcard $urlWildcard)
| Inserts the given UrlWildcard. More...
| deleteUrlWildcard ($id)
| Deletes the UrlWildcard with given $id. More...
| loadUrlWildcardData ($id)
| Loads an array with data about UrlWildcard with $id. More...
| loadUrlWildcardsData ($offset=0, $limit=-1)
| Loads an array with data about UrlWildcards (paged). More...
| loadUrlWildcardBySourceUrl (string $sourceUrl)
| Loads the UrlWildcard by source url $sourceUrl. More...

## Public Attributes
const | MAX_LIMIT = 1073741824
| 2^30, since PHP_INT_MAX can cause overflows in DB systems, if PHP is run on 64 bit systems. More...

## Protected Attributes
| $dbHandler

## Detailed Description

UrlWildcard Gateway.

Definition at line 17 of file Persistence/Legacy/Content/UrlWildcard/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new DoctrineDatabase Section Gateway.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 39 of file Persistence/Legacy/Content/UrlWildcard/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase\$dbHandler.

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase::$dbHandler
| protected

Definition at line 32 of file Persistence/Legacy/Content/UrlWildcard/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase\__construct().

## ◆ MAX_LIMIT

const eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\DoctrineDatabase::MAX_LIMIT = 1073741824

2^30, since PHP_INT_MAX can cause overflows in DB systems, if PHP is run on 64 bit systems.

Definition at line 23 of file Persistence/Legacy/Content/UrlWildcard/Gateway/DoctrineDatabase.php.

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/UrlWildcard/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.